[Pkg-haskell-commits] darcs: haskell-hoogle: Add two simple autopkgtests, to have this checked by http://ci.debian.net/

Joachim Breitner mail at joachim-breitner.de
Thu May 1 14:50:29 UTC 2014


Thu May  1 14:50:14 UTC 2014  Joachim Breitner <mail at joachim-breitner.de>
  * Add two simple autopkgtests, to have this checked by http://ci.debian.net/

    M ./changelog +6
    M ./control +1
    A ./tests/
    A ./tests/control
    A ./tests/install-remove
    A ./tests/void

Thu May  1 14:50:14 UTC 2014  Joachim Breitner <mail at joachim-breitner.de>
  * Add two simple autopkgtests, to have this checked by http://ci.debian.net/
diff -rN -u old-haskell-hoogle/changelog new-haskell-hoogle/changelog
--- old-haskell-hoogle/changelog	2014-05-01 14:50:28.898112972 +0000
+++ new-haskell-hoogle/changelog	2014-05-01 14:50:28.902112974 +0000
@@ -1,3 +1,9 @@
+haskell-hoogle (4.2.26-2) UNRELEASED; urgency=medium
+
+  * Add two simple autopkgtests, to have this checked by http://ci.debian.net/
+
+ -- Joachim Breitner <nomeata at debian.org>  Thu, 01 May 2014 16:49:03 +0200
+
 haskell-hoogle (4.2.26-1) unstable; urgency=medium
 
   * New upstream release
diff -rN -u old-haskell-hoogle/control new-haskell-hoogle/control
--- old-haskell-hoogle/control	2014-05-01 14:50:28.898112972 +0000
+++ new-haskell-hoogle/control	2014-05-01 14:50:28.902112974 +0000
@@ -60,6 +60,7 @@
 Homepage: http://www.haskell.org/hoogle/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hoogle
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hoogle
+XS-Testsuite: autopkgtest
 
 Package: libghc-hoogle-dev
 Architecture: any
diff -rN -u old-haskell-hoogle/tests/control new-haskell-hoogle/tests/control
--- old-haskell-hoogle/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hoogle/tests/control	2014-05-01 14:50:28.918112978 +0000
@@ -0,0 +1,6 @@
+Tests: void
+Depends: hoogle, libghc-void-doc
+
+Tests: install-remove
+Depends: hoogle
+Restrictions: needs-root
diff -rN -u old-haskell-hoogle/tests/install-remove new-haskell-hoogle/tests/install-remove
--- old-haskell-hoogle/tests/install-remove	1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hoogle/tests/install-remove	2014-05-01 14:50:28.918112978 +0000
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -x
+set -e
+
+apt-get -y --purge remove libghc-void-doc
+ret="$(hoogle absurd)"
+test "$ret" = "No results found"
+
+apt-get -y install libghc-void-doc
+ret="$(hoogle absurd)"
+test "$ret" = "Data.Void absurd :: Void -> a"
+
+apt-get -y --purge remove libghc-void-doc
+ret="$(hoogle absurd)"
+test "$ret" = "No results found"
diff -rN -u old-haskell-hoogle/tests/void new-haskell-hoogle/tests/void
--- old-haskell-hoogle/tests/void	1970-01-01 00:00:00.000000000 +0000
+++ new-haskell-hoogle/tests/void	2014-05-01 14:50:28.918112978 +0000
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -x
+set -e
+
+ret="$(hoogle absurd)"
+
+test "$ret" = "Data.Void absurd :: Void -> a"




More information about the Pkg-haskell-commits mailing list